> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create Appointment: EliseAI

POST https://api.propexo.com/crm/v1/appointments/eliseai
Content-Type: application/json

Creates an appointment in EliseAI. When prospect_id is provided, books an appointment for an existing prospect. Otherwise, creates a new prospect with an appointment.

Reference: https://docs.propexo.com/api-reference/elise-ai/appointments/create-appointment-elise-ai

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_appointments_eliseai_post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `appointment_date` (CrmV1AppointmentsEliseaiPostInputAppointmentDate, required) — The date when the appointment will occur
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
- `community_id` (string, optional) — The Propexo unique identifier for the community
- `prospect_id` (string, optional) — The Propexo unique identifier for the prospect. When provided, books an appointment for an existing prospect. When omitted, creates a new prospect with an appointment.
- `email_1` (string, optional) — The primary email address associated with the prospect
- `phone_1` (string, optional) — Primary phone number associated with the prospect
- `first_name` (string, optional) — The first name associated with the prospect
- `last_name` (string, optional) — The last name associated with the prospect
- `move_in_date` (CrmV1AppointmentsEliseaiPostInputMoveInDate, optional) — The move-in date associated with the prospect
- `rent_minimum_in_cents` (integer, optional) — The minimum rent of the prospect
- `rent_maximum_in_cents` (integer, optional) — The maximum rent of the prospect
- `notes` (string, optional) — Notes associated with the event
- `desired_num_bedrooms` (list of integer, optional) — The number of bedrooms associated with the prospect. Only the first value is sent to EliseAI. 0 represents a studio unit.
- `tour_type` (enum, optional) — The type of appointment being scheduled.
  - Allowed values: `IN_PERSON`, `SELF_GUIDED`, `LIVE_VIDEO`
- `lease_term_in_months` (integer, optional) — The amount of months for the lease term

## Response

### 200

Successful response

- `meta` (CrmV1AppointmentsEliseaiPostOutputMeta, required)
- `result` (CrmV1AppointmentsEliseaiPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1AppointmentsEliseaiPostInputAppointmentDate

The date when the appointment will occur

### CrmV1AppointmentsEliseaiPostInputMoveInDate

The move-in date associated with the prospect

### CrmV1AppointmentsEliseaiPostOutputMeta

- `job_id` (string, required)

### CrmV1AppointmentsEliseaiPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required, nullable) — The Propexo unique identifier for the community
- `prospect_id` (string, required, nullable) — The Propexo unique identifier for the prospect. When provided, books an appointment for an existing prospect. When omitted, creates a new prospect with an appointment.
- `appointment_date` (CrmV1AppointmentsEliseaiPostOutputResultAppointmentDate, required, nullable)
- `appointment_time` (string, required) — The time when the appointment will occur. Please refer to our appointment times section in the docs to see how each individual PMS handles timezones. This time should be specified in UTC
- `email_1` (string, required, nullable) — The primary email address associated with the prospect
- `phone_1` (string, required, nullable) — Primary phone number associated with the prospect
- `first_name` (string, required, nullable) — The first name associated with the prospect
- `last_name` (string, required, nullable) — The last name associated with the prospect
- `move_in_date` (CrmV1AppointmentsEliseaiPostOutputResultMoveInDate, required, nullable) — The move-in date associated with the prospect
- `rent_minimum_in_cents` (integer, required, nullable) — The minimum rent of the prospect
- `rent_maximum_in_cents` (integer, required, nullable) — The maximum rent of the prospect
- `notes` (string, required, nullable) — Notes associated with the event
- `desired_num_bedrooms` (list of integer, required, nullable)
- `tour_type` (enum, required) — The type of appointment being scheduled.
  - Allowed values: `IN_PERSON`, `SELF_GUIDED`, `LIVE_VIDEO`
- `lease_term_in_months` (integer, required, nullable) — The amount of months for the lease term

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### CrmV1AppointmentsEliseaiPostOutputResultAppointmentDate

### CrmV1AppointmentsEliseaiPostOutputResultMoveInDate

The move-in date associated with the prospect

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "appointment_date": "2024-01-15T09:30:00Z",
  "appointment_time": "14:30:00"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job_1234567890abcdef"
  },
  "result": {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "community_id": "comm_abcdef1234567890",
    "prospect_id": "pros_0987654321fedcba",
    "appointment_date": "2024-01-15T09:30:00Z",
    "appointment_time": "14:30:00",
    "email_1": "jane.doe@example.com",
    "phone_1": "+14155552671",
    "first_name": "Jane",
    "last_name": "Doe",
    "move_in_date": "2024-02-01",
    "rent_minimum_in_cents": 120000,
    "rent_maximum_in_cents": 180000,
    "notes": "Prospect prefers a quiet unit with a balcony.",
    "desired_num_bedrooms": [
      2
    ],
    "tour_type": "IN_PERSON",
    "lease_term_in_months": 12
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/appointments/eliseai"

payload = {
    "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
    "appointment_date": "2024-01-15T09:30:00Z",
    "appointment_time": "14:30:00"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/appointments/eliseai';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e","appointment_date":"2024-01-15T09:30:00Z","appointment_time":"14:30:00"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/appointments/eliseai"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\",\n  \"appointment_time\": \"14:30:00\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/appointments/eliseai")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\",\n  \"appointment_time\": \"14:30:00\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/appointments/eliseai")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\",\n  \"appointment_time\": \"14:30:00\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/appointments/eliseai', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "appointment_date": "2024-01-15T09:30:00Z",
  "appointment_time": "14:30:00"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/appointments/eliseai");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\",\n  \"appointment_date\": \"2024-01-15T09:30:00Z\",\n  \"appointment_time\": \"14:30:00\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e",
  "appointment_date": "2024-01-15T09:30:00Z",
  "appointment_time": "14:30:00"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/appointments/eliseai")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```